Skip to main content
`Ctrl`+`K`

# DSNEPSetFN

Sets a number of functions that define the nonlinear eigenproblem.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPSetFN(DS ds,PetscInt n,FN fn[])

Collective

## Input Parameters

- ds - the direct solver context

- n - number of functions

- fn - array of functions

## Notes

The nonlinear eigenproblem is defined in terms of the split nonlinear operator \(T(\lambda) = \sum_i E_i f_i(\lambda)\).

This function must be called before `DSAllocate()`. Then `DSAllocate()` will allocate an extra matrix \(E_i\) per each function, that can be filled in the usual way.

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPGetFN()`, `DSAllocate()`

## Level

advanced

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPSetFN_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages